dbXML API

## org.dbxml.core.query
Class CompilationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.dbxml.server.dbXMLException
                        |
                        +--org.dbxml.core.DBException
                              |
                              +--org.dbxml.core.query.QueryException
                                    |
                                    +--org.dbxml.core.query.CompilationException

All Implemented Interfaces:
  java.io.Serializable

public final class CompilationException
extends QueryException

A CompilationException is thrown by a Query if for some reason, it can't compile the query being processed.

See Also:
  Serialized Form

Fields inherited from class org.dbxml.core.DBException
`faultCode`

Constructor Summary
`CompilationException()`
`CompilationException(java.lang.String message)`

Methods inherited from class org.dbxml.server.dbXMLException
`getWrappedThrowable, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompilationException

    public CompilationException()

### CompilationException

    public CompilationException(java.lang.String message)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved